# eric4.Preferences.ConfigurationPages.PluginManagerPage

Module implementing the Plugin Manager configuration page.

### Classes

PluginManagerPage | Class implementing the Plugin Manager configuration page.

### Functions

create | Module function to create the configuration page.

## PluginManagerPage

Class implementing the Plugin Manager configuration page.

### Derived from

ConfigurationPageBase, Ui_PluginManagerPage

### Methods

PluginManagerPage | Constructor
on_downloadDirButton_clicked | Private slot to handle the directory selection via dialog.
save | Public slot to save the Viewmanager configuration.

#### PluginManagerPage (Constructor)

PluginManagerPage()

Constructor

#### PluginManagerPage.on_downloadDirButton_clicked

on_downloadDirButton_clicked()

Private slot to handle the directory selection via dialog.

#### PluginManagerPage.save

save()

Public slot to save the Viewmanager configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up